Package org.mariadb.jdbc.plugin.credential.aws

## Class AwsIamCredentialPlugin

- java.lang.Object
- - org.mariadb.jdbc.plugin.credential.aws.AwsIamCredentialPlugin

All Implemented Interfaces:
  `Supplier<Credential>`, `CredentialPlugin`

    public class AwsIamCredentialPlugin
    extends Object
    implements CredentialPlugin

Permit AWS database IAM authentication.

Token is generated using IAM credential and region.

Implementation use SDK DefaultAWSCredentialsProviderChain and DefaultAwsRegionProviderChain (environment variable / system properties, files, ...) or using connection string options : accessKeyId, secretKey, region.

See Also:
  DefaultCredentialsProvider, DefaultAwsRegionProviderChain

### Constructor Summary

Constructors
`AwsIamCredentialPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Credential` `get()`
`CredentialPlugin` `initialize​(Configuration conf, String userName, HostAddress hostAddress)` Permit initializing plugin if overridden
`boolean` `mustUseSsl()` Indicate if plugin must throw an error if SSL is not enabled
`String` `type()` credential identifier

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.CredentialPlugin

`defaultAuthenticationPluginType`

### Constructor Detail

#### AwsIamCredentialPlugin

    public AwsIamCredentialPlugin()

### Method Detail

#### type

    public String type()

Description copied from interface: `CredentialPlugin`
credential identifier

Specified by:
  `type` in interface `CredentialPlugin`
Returns:
  type

#### mustUseSsl

    public boolean mustUseSsl()

Description copied from interface: `CredentialPlugin`
Indicate if plugin must throw an error if SSL is not enabled

Specified by:
  `mustUseSsl` in interface `CredentialPlugin`
Returns:
  if ssl is required

#### initialize

    public CredentialPlugin initialize​(Configuration conf,
                                       String userName,
                                       HostAddress hostAddress)
                                throws SQLException

Description copied from interface: `CredentialPlugin`
Permit initializing plugin if overridden

Specified by:
  `initialize` in interface `CredentialPlugin`
Parameters:
  `conf` - configuration
  `userName` - user
  `hostAddress` - host information
Returns:
  credential plugin
Throws:
  `SQLException` - if any error occurs

#### get

    public Credential get()

Specified by:
  `get` in interface `Supplier<Credential>`